条形码
GET https://scanflick.com/api/barcodes/
curl --request GET \
--url 'https://scanflick.com/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按哪个字段搜索。允许的值为:name, value。 |
| project_id | 可选 整数 | |
| type | 可选 字符串 | 允许的值:C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。 |
| datetime_end | 可选 字符串 | 过滤至此日期时间。格式为 Y-m-d H:i:s。 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:barcode_id, datetime, last_datetime, name, type。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。 |
| page | 可选 整数 | 要获取结果的页码。默认值为 1。 |
| results_per_page | 可选 整数 | 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"type": "Example",
"name": "Example",
"value": "Example",
"barcode": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:10:45"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/barcodes?page=1",
"last": "https://scanflick.com/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/barcodes?page=1"
}
}
GET https://scanflick.com/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"value": "Example",
"barcode": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:10:45"
}
}
POST https://scanflick.com/api/barcodes
| 参数 | 详细信息 | 描述 |
|---|---|---|
| project_id | 可选 整数 | - |
| name | 必需 字符串 | - |
| type | 必需 字符串 | 允许的值:C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | 可选 布尔值 | |
| value | 必需 字符串 | - |
| display_text | 可选 布尔值 | - |
| foreground_color | 可选 字符串 | - |
| background_color | 可选 字符串 | - |
| width_scale | 可选 整数 | 1-10 |
| height | 可选 整数 | 30-1000 |
| barcode | 可选 字符串 | - |
| embedded_data | 可选 数组 | - |
| 参数 | 详细信息 | 描述 |
|---|---|---|
curl --request POST \
--url 'https://scanflick.com/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://scanflick.com/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"value": "Example",
"barcode": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:10:45"
}
}
POST https://scanflick.com/api/barcodes/{barcode_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| project_id | 可选 字符串 | - |
| name | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | 必需 字符串 | - |
| display_text | 可选 布尔值 | - |
| foreground_color | 可选 字符串 | - |
| background_color | 可选 字符串 | - |
| width_scale | 可选 整数 | 1-10 |
| height | 可选 整数 | 30-1000 |
| barcode | 可选 字符串 | - |
| embedded_data | 可选 数组 | - |
curl --request POST \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"value": "Example",
"barcode": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-01 01:10:45"
}
}
DELETE https://scanflick.com/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \